Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes
tesseract::LanguageModelState Struct Reference

`#include <language_model.h>`

List of all members.

## Public Member Functions

| LanguageModelState (int col, int row)
| ~LanguageModelState ()

## Public Attributes

int | contained_in_col
int | contained_in_row
ViterbiStateEntry_LIST | viterbi_state_entries
int | viterbi_state_entries_prunable_length
int | viterbi_state_entries_length
float | viterbi_state_entries_prunable_max_cost

## Detailed Description

Definition at line 215 of file language_model.h.

## Constructor & Destructor Documentation

tesseract::LanguageModelState::LanguageModelState | ( | int | col,
|  | int | row
| ) |  |

inline

Definition at line 216 of file language_model.h.

: contained_in_col(col),
contained_in_row(row), viterbi_state_entries_prunable_length(0),
viterbi_state_entries_length(0),
viterbi_state_entries_prunable_max_cost(MAX_FLOAT32) {}

tesseract::LanguageModelState::~LanguageModelState | ( |  | ) |

inline

Definition at line 220 of file language_model.h.

{}

## Member Data Documentation

int tesseract::LanguageModelState::contained_in_col

Definition at line 225 of file language_model.h.

int tesseract::LanguageModelState::contained_in_row

Definition at line 226 of file language_model.h.

ViterbiStateEntry_LIST tesseract::LanguageModelState::viterbi_state_entries

Definition at line 229 of file language_model.h.

int tesseract::LanguageModelState::viterbi_state_entries_length

Definition at line 233 of file language_model.h.

int tesseract::LanguageModelState::viterbi_state_entries_prunable_length

Definition at line 231 of file language_model.h.

float tesseract::LanguageModelState::viterbi_state_entries_prunable_max_cost

Definition at line 234 of file language_model.h.

The documentation for this struct was generated from the following file:

- /mnt/data/src/tesseract-ocr/wordrec/language_model.h